dnl Copyright (C) 2000 Open Source Telecom Corporation.
dnl  
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl 
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl 
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software 
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
dnl 
dnl As a special exception to the GNU General Public License, if you 
dnl distribute this file as part of a program that contains a configuration 
dnl script generated by Autoconf, you may include it under the same 
dnl distribution terms that you use for the rest of that program.

AC_DEFUN(OST_CCXX_HEADER,[
	AC_DEFINE(__CCXX_CONFIG_H__)
])

AC_DEFUN(OST_CCXX_FILE,[
	AC_REQUIRE([OST_CCXX_COMMON])
	LIBS="$COMMON_FILE $LIBS"
])

AC_DEFUN(OST_CCXX_EXTRA,[
	AC_REQUIRE([OST_CCXX_COMMON])
	LIBS="$COMMON_EXTRA $LIBS"
])

AC_DEFUN(OST_CCXX_SCRIPT,[
	AC_REQUIRE([OST_CCXX_EXTRA])
	LIBS="-lccscript $LIBS"
])

dnl an alias for OST_CCXX_EXTRA

AC_DEFUN(OST_CCXX_STD,[
	AC_REQUIRE([OST_CCXX_EXTRA])
])

AC_DEFUN(OST_CCXX_HOARD,[
	AC_REQUIRE([OST_CCXX_COMMON])
	AC_CHECK_LIB(hoard, free, [LIBS="$LIBS -lhoard"])
])

AC_DEFUN(OST_CCXX_AUDIO,[
	AC_REQUIRE([OST_CCXX_COMMON])
	LIBS="$LIBS -lccaudio"
])

AC_DEFUN(OST_CCXX_COMMON,[
	AC_MSG_CHECKING([for Common C++ definitions])
	ost_cv_ccxx_config=false
	ccdef=""
	
	SINGLE_FLAGS="$CXXFLAGS"
	SINGLE_LIBS="$LIBS"
	AC_SUBST(SINGLE_LIBS)
	AC_SUBST(SINGLE_FLAGS)

	if test -f /usr/local/include/cc++/config.def ; then
		ccdef=/usr/local/include/cc++/config.def
	fi
	if test -f /usr/include/cc++/config.def ; then
		ccdef=/usr/include/cc++/config.def
	fi
	if test -f ${prefix}/include/cc++/config.def ; then
		ccdef=${prefix}/include/cc++/config.def
	fi
	if test -f ${includedir}/cc++/config.def ; then
		ccdef=${includedir}/cc++/config.def
	fi
	if test ! -z "$ccdef"; then
		AC_MSG_RESULT([found])
		ost_cv_ccxx_config=true
		CXXFLAGS="$CXXFLAGS `grep flags\: $ccdef | sed -e s/flags\://`"
		LIBS="$LIBS -lccxx `grep link\: $ccdef | sed -e s/link\://`"
		COMMON_FILE="-lccio `grep load\: $ccdef | sed -e s/load\://`" 
		COMMON_EXTRA="-lccstd `grep extra\: $ccdef | sed -e s/extra\://`"
	else
		AC_MSG_RESULT([missing])
	fi
])

dnl ACCONFIG TEMPLATE
dnl #undef __CCXX_CONFIG_H__
dnl END ACCONFIG
